Debian Bug report logs - #260536
bb: Should BB install to /usr/games?

version graph

Package: bb; Maintainer for bb is Uwe Hermann <uwe@debian.org>; Source for bb is src:bb.

Reported by: Drake Wilson <drake@libcom.com>

Date: Wed, 21 Jul 2004 06:18:03 UTC

Severity: wishlist

Found in version 1.3rc1-5

Fixed in version bb/1.3rc1-7

Done: Uwe Hermann <uwe@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Uwe Hermann <uwe@debian.org>:
Bug#260536; Package bb. Full text and rfc822 format available.

Acknowledgement sent to Drake Wilson <drake@libcom.com>:
New Bug report received and forwarded. Copy sent to Uwe Hermann <uwe@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Drake Wilson <drake@libcom.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: bb: Should BB install to /usr/games?
Date: Wed, 21 Jul 2004 02:12:43 -0400
Package: bb
Version: 1.3rc1-5
Severity: wishlist

It seems like most software toys of this sort go to /usr/games: rain and
worms from the bsdgames package, for instance, perform functions similar
to BB, though less elaborately and without an audio component.  I can't
seem to find any other obvious precedent.  Therefore, should BB be
installed to /usr/games rather than /usr/bin?  It seems to me that it
would make sense, but I'm not really sure how Debian decides that.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.6
Locale: LANG=C, LC_CTYPE=C

Versions of packages bb depends on:
ii  aalib1                    1.4p5-20       ascii art library
ii  libc6                     2.3.2.ds1-13   GNU C Library: Shared libraries an
ii  libmikmod2                3.1.11-2       A portable sound library
ii  slang1                    1.4.9-4        The S-Lang programming library - r
ii  xlibs                     4.3.0.dfsg.1-4 X Window System client libraries m

-- no debconf information



Reply sent to Uwe Hermann <uwe@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Drake Wilson <drake@libcom.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 260536-close@bugs.debian.org (full text, mbox):

From: Uwe Hermann <uwe@debian.org>
To: 260536-close@bugs.debian.org
Subject: Bug#260536: fixed in bb 1.3rc1-7
Date: Fri, 08 Jul 2005 14:47:09 -0400
Source: bb
Source-Version: 1.3rc1-7

We believe that the bug you reported is fixed in the latest version of
bb, which is due to be installed in the Debian FTP archive:

bb_1.3rc1-7.diff.gz
  to pool/main/b/bb/bb_1.3rc1-7.diff.gz
bb_1.3rc1-7.dsc
  to pool/main/b/bb/bb_1.3rc1-7.dsc
bb_1.3rc1-7_i386.deb
  to pool/main/b/bb/bb_1.3rc1-7_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 260536@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Uwe Hermann <uwe@debian.org> (supplier of updated bb package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri,  8 Jul 2005 19:55:42 +0200
Source: bb
Binary: bb
Architecture: source i386
Version: 1.3rc1-7
Distribution: unstable
Urgency: low
Maintainer: Uwe Hermann <uwe@debian.org>
Changed-By: Uwe Hermann <uwe@debian.org>
Description: 
 bb         - ASCII-art demo based on AAlib
Closes: 260536 317167 317415
Changes: 
 bb (1.3rc1-7) unstable; urgency=low
 .
   * Fix FTBS with gcc 3.4 and 4.0 (Closes: #317415).
     Thanks to Karl Chen for the patch.
   * Build against libaa1 instead of aalib1 (Closes: #317167).
   * Standards-Version: 3.6.2.0 (no changes required).
   * Moved bb from /usr/bin to /usr/games (Closes: #260536).
Files: 
 2568c7041da09ee75e48ed87923bcca8 585 games optional bb_1.3rc1-7.dsc
 a03027ad560b2a7339ef36db069b5717 29259 games optional bb_1.3rc1-7.diff.gz
 abe5d38c64928d21d61c13bf3c2a5172 1196166 games optional bb_1.3rc1-7_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD4DBQFCzsIHXdVoV3jWIbQRAhwkAJ4g5BQ2qKJp+I89b1Z6kSGntNWM6ACYngWo
KcFzqASfNNLC3x0eXPNxJQ==
=yg/R
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 05:26:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:35:04 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.